org.eclipse.eef

## Interface EEFCustomWidgetDescription

All Superinterfaces:
  EEFControlDescription, EEFWidgetDescription, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFCustomWidgetDescriptionImpl

    public interface EEFCustomWidgetDescription
    extends EEFWidgetDescription

A representation of the model object 'EEF Custom Widget Description'. Represents a custom widget in the user interface.

The following features are supported:

- `Custom Expressions`
- `Style`
- `Conditional Styles`

See Also:
  `EefPackage.getEEFCustomWidgetDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<EEFCustomWidgetConditionalStyle>` `getConditionalStyles()` Returns the value of the 'Conditional Styles' containment reference list.
`org.eclipse.emf.common.util.EList<EEFCustomExpression>` `getCustomExpressions()` Returns the value of the 'Custom Expressions' containment reference list.
`EEFCustomWidgetStyle` `getStyle()` Returns the value of the 'Style' containment reference.
`void` `setStyle(EEFCustomWidgetStyle value)` Sets the value of the '`Style`' containment reference.

### Methods inherited from interface org.eclipse.eef.EEFWidgetDescription

`getHelpExpression, getIsEnabledExpression, getLabelExpression, getPropertyValidationRules, setHelpExpression, setIsEnabledExpression, setLabelExpression`

### Methods inherited from interface org.eclipse.eef.EEFControlDescription

`getIdentifier, setIdentifier`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getCustomExpressions

    org.eclipse.emf.common.util.EList<EEFCustomExpression> getCustomExpressions()

Returns the value of the 'Custom Expressions' containment reference list. The list contents are of type `EEFCustomExpression`.

If the meaning of the 'Custom Expressions' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Custom Expressions' containment reference list.
See Also:
  `EefPackage.getEEFCustomWidgetDescription_CustomExpressions()`

#### getStyle

    EEFCustomWidgetStyle getStyle()

Returns the value of the 'Style' containment reference. Defines the custom widget style

Returns:
  the value of the 'Style' containment reference.
See Also:
  `setStyle(EEFCustomWidgetStyle)`, `EefPackage.getEEFCustomWidgetDescription_Style()`

#### setStyle

    void setStyle(EEFCustomWidgetStyle value)

Sets the value of the '`Style`' containment reference.

Parameters:
  `value` - the new value of the 'Style' containment reference.
See Also:
  `getStyle()`

#### getConditionalStyles

    org.eclipse.emf.common.util.EList<EEFCustomWidgetConditionalStyle> getConditionalStyles()

Returns the value of the 'Conditional Styles' containment reference list. The list contents are of type `EEFCustomWidgetConditionalStyle`. Defines the select style associated to a precondition

Returns:
  the value of the 'Conditional Styles' containment reference list.
See Also:
  `EefPackage.getEEFCustomWidgetDescription_ConditionalStyles()`